* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body, input, button {
    font-family: 'Open Sans', sans-serif;
}

input, button {
    font-size: 16px;
}

.head_bar {
    padding: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: cornflowerblue;
    color: white;
}

main {
    max-width: 800px;
    width: 80%;
    margin: 0 auto;
    padding: 16px;

}

.input_section {
    display: flex;
    flex-direction: column;
    padding: 16px;
    border: 1px solid black;
    border-radius: 10px;
}

.input_section > h2 {
    text-align: center;
    color: cornflowerblue;
}

.input_section > form > .input {
    margin: 8px 0;
}

.input_section > form > button {
    background-color: cornflowerblue;
    color: white;
    border: 0;
    border-radius: 5px;
    display: block;
    width: 100%;
    padding: 8px;
    cursor: pointer;
}

.input_section > form > button > span {
    font-weight: bold;
}

.input_section > form > .input > input {
    display: block;
    width: 100%;
    padding: 8px;
    border-radius: 5px;
}



.input_section > form > .input > label {
    color: cornflowerblue;
    font-weight: bold;
}

.input_section > form > .input_inline {
    margin: 12px 0;
    display: flex;
    align-items: center;
}

.input_section > form > .input_inline > label {
    color: cornflowerblue;
    font-weight: bold;
    margin-right: 10px;
}

.search_section {
    margin: 16px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 16px;
    border: 1px solid black;
    border-radius: 10px;
}

.search_section > h2 {
    color: cornflowerblue;
}

.search_section > form {
    padding: 16px;
    width: 100%;
    display: grid;
    grid-template-columns: auto 1fr 0.5fr;
    grid-gap: 10px;
}

.search_section > form > label {
    display: flex;
    align-items: center;
}

.search_section > form > input {
    padding: 5px;
    border-radius: 5px;
}

.search_section > form > button {
    background-color: cornflowerblue;
    color: white;
    border: 0;
    border-radius: 5px;
    cursor: pointer;
}

.book_shelf {
    margin: 16px 0 0 0;
    border: 1px solid black;
    padding: 16px;
    border-radius: 10px;
}

.book_shelf > h2 {
    color: cornflowerblue;
}

.book_shelf > .book_list {
    padding: 16px;
}

.book_shelf > .book_list > .book_item {
    padding: 8px 16px 16px 16px;
    border: 1px solid black;
    border-radius: 5px;
    margin: 10px 0;
}

.book_shelf > .book_list > .book_item > h3, p {
    margin: 8px 0;
}

.book_shelf > .book_list > .book_item > .action > button {
    border: 0;
    padding: 5px;
    margin: 0 5px 0 0;
    border-radius: 5px;
    cursor: pointer;
}

.book_shelf > .book_list > .book_item > .action > .green {
    background-color: darkgreen;
    color: white;
}

.book_shelf > .book_list > .book_item > .action > .red {
    background-color: darkred;
    color: white;
}
.btn-submit {
    width: fit-content;
    border: none;
    font-family: Raleway;
    border-radius: 16px;
    padding: 12px 24px;
    border:2px solid #5F30E2;
    color: black;
    font-size: 24px;
    margin-top: auto;
    align-self: flex-end;
    cursor: pointer;
}

.btn-submit:hover{
    background: #5F30E2;
    color: white;
}

input[type=text],
input[type=date],
.btn-submit:focus{
    outline: none;
}


.text-center {
    text-align: center;
}

.form-title {
    margin: auto 0;
}

.check-button {
    background: url('assets/check-outline.svg');
    background-size: contain;
    width: 40px;
    height: 40px;
    margin-left: auto;
    cursor: pointer;
    border: none;
}

.check-button:hover {
    background: url('assets/check-solid.svg');
    background-size: contain;
}

.trash-button{
    background: url('assets/trash-outline.svg');
    background-size: contain;
    width: 40px;
    height: 40px;
    margin-left: 16px;
    cursor: pointer;
    border: none;
}

.trash-button:hover {
    background: url('assets/trash-fill.svg');
    background-size: contain;
}

.undo-button{
    background: url('assets/undo-ouline.svg');
    background-size: contain;
    width: 40px;
    height: 40px;
    margin-left: auto;
    cursor: pointer;
    border: none;
}

.undo-button:hover {
    background: url('assets/undo-ouline.svg');
    background-size: contain;
}

.check-button:focus, .trash-button {
    outline: none;
}
